//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using CommunityServer.Components;


namespace CommunityServer {

	public class Styles {

		public static ArrayList GetStyles() {
			return null;
		}

		public static Style GetStyle( int styleId ) {
			return null;
		}

		public static int CreateStyle( Style style ) {
			return CreateUpdateDeleteStyle( style, DataProviderAction.Create);
		}
		public static int DeleteStyle( Style style ) {
			return CreateUpdateDeleteStyle( style, DataProviderAction.Delete);
		}
		public static int UpdateStyle( Style style ) {
			return CreateUpdateDeleteStyle( style, DataProviderAction.Update);
		}

		private static int CreateUpdateDeleteStyle( Style style, DataProviderAction action ) {
		    CommonDataProvider dp = CommonDataProvider.Instance();

			return dp.CreateUpdateDeleteStyle( style, action );
		}
	}
}